<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://www.indigorise.de
 * @since             1.0.0
 * @package           Indi_Tuts
 *
 * @wordpress-plugin
 * Plugin Name:       INDI-Tuts
 * Plugin URI:        https://www.indi-design.de
 * Description:       Tutorial-Plugin - INDI Webseitensystem
 * Version:           1.0.2
 * Author:            INDI Design - Business Unit of Indigo Rise KG
 * Author URI:        https://www.indigorise.de
 * License:           License by Inddigo Rise KG
 * License URI:       http://www.indigorise.de
 * Text Domain:       indi-tuts
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'INDI_TUTS_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-indi-tuts-activator.php
 */
function activate_indi_tuts() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-indi-tuts-activator.php';
	Indi_Tuts_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-indi-tuts-deactivator.php
 */
function deactivate_indi_tuts() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-indi-tuts-deactivator.php';
	Indi_Tuts_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_indi_tuts' );
register_deactivation_hook( __FILE__, 'deactivate_indi_tuts' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-indi-tuts.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_indi_tuts() {

	$plugin = new Indi_Tuts();
	$plugin->run();

}
run_indi_tuts();
